import Taro from '@tarojs/taro'
import track from './track'
import addNum from './addNum'

export default (options) => {
  const page = Taro.getStorageSync('page')
  if (!page) return;

  const { name: propertyName, type: eventType } = page
  addNum({ eventType, targetId: options.targetId })

  track({
    event: 'share',
    eventType,
    propertyName,
    data: '{}',
    ...options,
  })
}
